Masumi Logo

/wallet-list

Lists hot wallets across payment sources with cursor-based pagination

GET
/wallet/list
token<token>

API key authentication via header (token)

In: header

Query Parameters

take?number

The number of wallets to return

Default10
Range1 <= value <= 100
cursorId?string

Used to paginate through the wallets (provide the id of the last returned wallet)

Lengthlength <= 250
paymentSourceId?string

Filter wallets to a single payment source

Lengthlength <= 250
walletType?string

Filter wallets by type (Selling or Purchasing)

Value in"Selling" | "Purchasing"
walletVkey?string

Filter to the single wallet with this payment key hash

Lengthlength <= 250
walletAddress?string

Filter to wallets with this Cardano address

Lengthlength <= 250

Response Body

application/json

curl -X GET "https://loading/./../api/v1/wallet/list"
{
  "status": "success",
  "data": {
    "Wallets": [
      {
        "id": "unique_cuid_v2_auto_generated",
        "paymentSourceId": "unique_cuid_v2_of_payment_source",
        "type": "Selling",
        "walletVkey": "wallet_vkey",
        "walletAddress": "wallet_address",
        "collectionAddress": null,
        "note": "note",
        "LowBalanceSummary": {
          "isLow": false,
          "lowRuleCount": 0,
          "lastCheckedAt": "1970-01-20T20:00:36.260Z"
        }
      }
    ]
  }
}
Masumi Kanji